package com.ningdatech.pmapi.projectlib.service.impl;

import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.ningdatech.pmapi.projectlib.model.entity.Project;
import com.ningdatech.pmapi.projectlib.mapper.ProjectMapper;
import com.ningdatech.pmapi.projectlib.service.IProjectService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;
import java.util.stream.Collectors;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author WendyYang
 * @since 2023-02-03
 */
@Service
public class ProjectServiceImpl extends ServiceImpl<ProjectMapper, Project> implements IProjectService {

    @Override
    public List<Long> getAllVersionProjectId(Project project) {
        //查出 项目code
        String projectCode = project.getProjectCode();

        List<Project> projects = list(Wrappers.lambdaQuery(Project.class)
                .eq(Project::getProjectCode, projectCode));

        if(CollUtil.isEmpty(projects)){
            return Collections.emptyList();
        }

        return projects.stream().map(Project::getId).collect(Collectors.toList());
    }
}
